#
# spec file for package nagios-plugins-snmp (Version 0.4)
#
#

# norootforbuild


Name:           nagios-plugins-snmp
Summary:        Nagios plugin collection for snmp devices
Version:        0.4
Release:        1.1
Url:            http://download.obs.j0ke.net/
License:        BSD 4-Clause
Group:          System/Monitoring
Source0:	check_cpu
Source1:	check_mem_lancom
Source2:	check_snmp_apc_pdu
Source3:	check_snmp_apc_pdu.py
Source4:	check_snmp_cisco_memutil
Source5:	check_snmp_env.pl
Source6:	check_snmp_int.pl
Source7:	check_snmp_load.pl
Source8:	check_snmp_mem.pl
Source9:	check_messpc
Source10:	check_snmp_disk
Source11:	check_snmp_klima
Source12:	check_snmp_brocade200E

Source20:	LANCOM-MIB.txt
Source21:	POWERNET395.txt

Requires:	perl-Net-SNMP
Requires:	php-snmp
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
This is a nagios plugin collection for devices using snmp.

Supported devices are:
 - CISCO switches & routers
 - HP switches
 - APC powerswitches

%prep

%build

%install
install -D -m755 %{SOURCE0} %buildroot/%libexecdir/check_cpu
install    -m755 %{SOURCE1} %buildroot/%libexecdir/check_mem_lancom
install    -m755 %{SOURCE2} %buildroot/%libexecdir/check_snmp_apc_pdu
install    -m755 %{SOURCE3} %buildroot/%libexecdir/check_snmp_apc_pdu.py
install    -m755 %{SOURCE4} %buildroot/%libexecdir/check_snmp_cisco_memutil
install    -m755 %{SOURCE5} %buildroot/%libexecdir/check_snmp_env.pl
install    -m755 %{SOURCE6} %buildroot/%libexecdir/check_snmp_int.pl
install    -m755 %{SOURCE7} %buildroot/%libexecdir/check_snmp_load.pl
install    -m755 %{SOURCE8} %buildroot/%libexecdir/check_snmp_mem.pl
install    -m755 %{SOURCE9} %{buildroot}/%libexecdir/check_messpc
install    -m755 %{SOURCE10} %{buildroot}/%libexecdir/check_snmp_disk
install    -m755 %{SOURCE11} %{buildroot}/%libexecdir/check_snmp_klima
install    -m755 %{SOURCE12} %{buildroot}/%libexecdir/check_snmp_brocade200E

install -D -m755 %{SOURCE20} %{buildroot}%{_datadir}/snmp/mibs/LANCOM-MIB.txt
install    -m755 %{SOURCE21} %{buildroot}%{_datadir}/snmp/mibs/POWERNET395.txt

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/*
%dir %{_datadir}/snmp
%dir %{_datadir}/snmp/mibs
%{_datadir}/snmp/mibs/LANCOM-MIB.txt
%{_datadir}/snmp/mibs/POWERNET395.txt

%changelog
* Tue Jul 14 2009 Carsten Schoene <cs@linux-administrator.com> - 0.4-1
- update to release version 0.4
 - added SW4424 support to check_snmp_brocade200E

* Sun Mar 15 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release version 0.3
 - added check_snmp_klima
 - added check_snmp_brocade200E
 - added check_snmp_disk

* Sun Mar 15 2009 Carsten Schoene <cs@linux-administrator.com>
- update to release version 0.2
 - added check_messpc (initial version)

* Sun Mar 15 2009 Carsten Schoene <cs@linux-administrator.com>
- initial release
